%define setools_maj_ver 3.3
%define setools_min_ver 8
%define Werror_cflags %nil

%define apol_major 4
%define libapol %mklibname apol %{apol_major}
%define poldiff_major 1
%define libpoldiff %mklibname poldiff %{poldiff_major}
%define qpol_major 1
%define libqpol %mklibname qpol %{qpol_major}
%define seaudit_major 4
%define libseaudit %mklibname seaudit %{seaudit_major}
%define sefs_major 4
%define libsefs %mklibname sefs %{sefs_major}

Name: 		setools
Version: 	%{setools_maj_ver}.%{setools_min_ver}
Release:	%mkrel 15
License: 	GPLv2
URL: 		http://oss.tresys.com/projects/setools
Source:		http://oss.tresys.com/projects/setools/chrome/site/dists/setools-%{version}/setools-%{version}.tar.bz2
Source1: 	setools.pam
Source2: 	apol.desktop
Source3: 	seaudit.desktop
Patch0:		tclass.patch
# Fedora patches:
Patch1:        0001-Since-we-do-not-ship-neverallow-rules-all-always-fai.patch
Patch2:		0002-Fix-sepol-calls-to-work-with-latest-libsepol.patch
Patch4:         0004-Apply-selinux_current_policy_path-patch.patch
Patch5:		0005-Apply-seaudit-patch-for-progress.c.patch
Patch6:         0006-Add-support-for-boolean-subs.patch

Patch7:		0007-Setools-noship.patch
Patch8:		0008-Add-alias-support-to-seinfo-t.patch
Patch9:		0009-Fix-help-message-on-sesearch-D.patch
Patch11:        0011-Fix-Wformat-security-issues.patch
Patch12:	0012-Fix-configure.ac-to-use-SWIG-3.0.0.patch
Patch13:	0013-libqpol-Skip-types-when-building-type-attribute-map.patch

# Suse patches:
Patch50:         %{name}-3.3.5-nonvoid.patch
Patch51:         %{name}-3.3.5-strcmp.patch
Patch52:         %{name}-setup_py-prefix.patch
Patch62:        %{name}-3.3.7-libselinux-2.3.patch

# Upstream patches:
Patch100:	4668d85ef6b078de110caf3aa6cdf89a7d8aa89d.patch

# Local patches:
Patch150:	link.patch

Summary: 	Policy analysis tools for SELinux
Group: 		System/Base
BuildRequires:  usermode-consoleonly
BuildRequires:  libxml2-devel
Requires: 	setools-libs-tcl = %{version}-%{release} 
Requires: 	setools-gui = %{version}-%{release} 
Requires: 	setools-console = %{version}-%{release}

Requires:	setools-libs-tcl = %{version}-%{release}
Requires:	setools-gui = %{version}-%{release}
Requires:	setools-console = %{version}-%{release}

# external requirements
%define autoconf_ver 2.59
%define bwidget_ver 1.8
%define gtk_ver 2.8
%define sepol_ver 2.4
%define selinux_ver 2.4
%define sqlite_ver 3.2.0
%define swig_ver 3.0.8
%define tcltk_ver 8.4.9

%description
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This meta-package depends upon the main packages necessary to run
SETools.

%package -n %{libapol}
Summary:	Policy analysis library for SETools
Group:		System/Libraries
Obsoletes:	%{_lib}setools0 < 3.3.7-4

%description -n %{libapol}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package -n %{libpoldiff}
Summary:	Semantic policy difference library for SETools
Group:		System/Libraries
Obsoletes:	%{_lib}setools0 < 3.3.7-4

%description -n %{libpoldiff}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package -n %{libqpol}
Summary:	Library that abstracts policy internals
Group:		System/Libraries
Obsoletes:	%{_lib}setools0 < 3.3.7-4

%description -n %{libqpol}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package -n %{libseaudit}
Summary:	Parse and filter SELinux audit messages in log files
Group:		System/Libraries
Obsoletes:	%{_lib}setools0 < 3.3.7-4

%description -n %{libseaudit}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package -n %{libsefs}
Summary:	SELinux file contexts library
Group:		System/Libraries
Obsoletes:	setools-libs-java
Obsoletes:	setools-libs-python < 3.3.7-36
Obsoletes:	%{_lib}setools0 < 3.3.7-4
BuildRequires:  flex  bison  pkgconfig bzip2-devel
BuildRequires:  glibc-devel libstdc++-devel gcc gcc-c++
BuildRequires:  selinux-devel >= %{selinux_ver} sepol-devel >= %{sepol_ver}
BuildRequires:  sepol-static-devel >= %{sepol_ver}
BuildRequires:  sqlite3-devel >= %{sqlite_ver} libxml2-devel
BuildRequires: 	tcl-devel >= %{tcltk_ver}
BuildRequires:  autoconf >= %{autoconf_ver} automake

%description -n %{libsefs}
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

%package libs-tcl
License: 	LGPLv2
Summary: 	Tcl bindings for SELinux policy analysis
Group: 		Development/Other
BuildRequires: 	tcl-devel >= %{tcltk_ver} swig >= %{swig_ver}

%description libs-tcl
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Tcl bindings for the following libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%package devel
License: 	LGPLv2
Summary: 	Policy analysis development files for SELinux
Group: 		System/Libraries
Requires: 	selinux-devel >= %{selinux_ver} 
Requires: 	sepol-devel >= %{sepol_ver} 
Requires: 	sepol-static-devel >= %{sepol_ver}
Requires:	%{libapol} = %{version}
Requires:	%{libpoldiff} = %{version}
Requires:	%{libqpol} = %{version}
Requires:	%{libseaudit} = %{version}
Requires:	%{libsefs} = %{version}
BuildRequires: 	sqlite3-devel >= %{sqlite_ver} 

%description devel
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes header files and archives for the following
libraries:

  libapol       policy analysis library
  libpoldiff    semantic policy difference library
  libqpol       library that abstracts policy internals
  libseaudit    parse and filter SELinux audit messages in log files
  libsefs       SELinux file contexts library

%package console
Summary: 	Policy analysis command-line tools for SELinux
Group: 		System/Base
License: 	GPLv2
Requires: 	selinux >= %{selinux_ver}

%description console
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following console tools:

  seaudit-report  audit log analysis tool
  sechecker       SELinux policy checking tool
  secmds          command line tools: seinfo, sesearch, findcon,
                  replcon, and indexcon
  sediff          semantic policy difference tool

%package gui
Summary: 	Policy analysis graphical tools for SELinux
Group: 		System/Base
Requires: 	tcl >= %{tcltk_ver} 
Requires: 	tk >= %{tcltk_ver} 
Requires: 	bwidget >= %{bwidget_ver}
Requires: 	setools-libs-tcl = %{version}-%{release}
Requires: 	glib2 gtk2 >= %{gtk_ver} 
Requires: 	usermode-consoleonly
BuildRequires: 	gtk2-devel >= %{gtk_ver} 
BuildRequires: 	libglade2-devel 
BuildRequires: 	libxml2-devel 
BuildRequires: 	tk-devel >= %{tcltk_ver}
BuildRequires: 	desktop-file-utils

%description gui
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following graphical tools:

  apol          policy analysis tool
  seaudit       audit log analysis tool

%define setoolsdir %{_datadir}/setools-%{setools_maj_ver}
%define tcllibdir %{_libdir}/setools

%prep
%setup -q
%patch0 -p1 -b .tclass.patch
# Fedora patches:
%patch1 -p 1 -b .neverallow
%patch2 -p 1 -b .libsepol
%patch4 -p 1 -b .current_policy
%patch5 -p 1 -b .seaudit
%patch6 -p 1 -b .boolean-subs
%patch7 -p 1 -b .noship
%patch8 -p 1 -b .seinfo-t
%patch9 -p 1 -b .sesearch-D
%patch11 -p 1 -b .Wformat-security
%patch12 -p 1 -b .version
%patch13 -p 1 -b .libqpol
# Suse patches:
%patch50  -p0 -b  .nonvoid
%patch51  -p0 -b  .strcmp
%patch52  -p1 -b  .py-prefix
# Upstream patches:
%patch100 -p1 -b .swig3
# Local patches:
%patch150 -p1 -b .link

# Fixup expected version of SWIG:
sed -i -e "s|AC_PROG_SWIG(1.3.28)|AC_PROG_SWIG(3.0.8)|g" configure.ac
# and rebuild the autotooled files:
aclocal
autoreconf -if

%build
automake
%configure2_5x --libdir=%{_libdir} --disable-bwidget-check --disable-selinux-check \
               --enable-swig-tcl
%make

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -d -m 755 %{buildroot}%{_sysconfdir}/pam.d
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/seaudit
install -d -m 755 %{buildroot}%{_sysconfdir}/security/console.apps
install -p -m 644 packages/rpm/seaudit.console %{buildroot}%{_sysconfdir}/security/console.apps/seaudit
install -d -m 755 %{buildroot}%{_datadir}/applications
install -p -m 644 apol/apol.png %{buildroot}%{_datadir}/pixmaps/apol.png
install -p -m 644 seaudit/seaudit.png %{buildroot}%{_datadir}/pixmaps/seaudit.png
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2} %{SOURCE3}
ln -sf consolehelper %{buildroot}/%{_bindir}/seaudit
# remove static libs
rm -f %{buildroot}/%{_libdir}/*.a
# ensure permissions are correct
chmod 0755 %{buildroot}/%{_libdir}/*.so.*
chmod 0755 %{buildroot}/%{_libdir}/%{name}/*/*.so.*
chmod 0755 %{buildroot}/%{_sbindir}/*
chmod 0644 %{buildroot}/%{tcllibdir}/*/pkgIndex.tcl

%files
%dir %{setoolsdir}

%files -n %{libapol}
%{_libdir}/libapol.so.%{apol_major}
%{_libdir}/libapol.so.%{apol_major}.*

%files -n %{libpoldiff}
%{_libdir}/libpoldiff.so.%{poldiff_major}
%{_libdir}/libpoldiff.so.%{poldiff_major}.*

%files -n %{libqpol}
%{_libdir}/libqpol.so.%{qpol_major}
%{_libdir}/libqpol.so.%{qpol_major}.*

%files -n %{libseaudit}
%{_libdir}/libseaudit.so.%{seaudit_major}
%{_libdir}/libseaudit.so.%{seaudit_major}.*

%files -n %{libsefs}
%{_libdir}/libsefs.so.%{sefs_major}
%{_libdir}/libsefs.so.%{sefs_major}.*

%files libs-tcl
%{tcllibdir}/qpol/
%{tcllibdir}/apol/
%{tcllibdir}/poldiff/
%{tcllibdir}/seaudit/
%{tcllibdir}/sefs/

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/qpol/
%{_includedir}/apol/
%{_includedir}/poldiff/
%{_includedir}/seaudit/
%{_includedir}/sefs/

%files console
%{_bindir}/seinfo
%{_bindir}/sesearch
%{_bindir}/sediff
%{_mandir}/man1/sediff.1.*
%{_mandir}/man1/seinfo.1.*
%{_mandir}/man1/sesearch.1.*

%files gui
%{_bindir}/seaudit
%{_bindir}/apol
%{tcllibdir}/apol_tcl/
%{setoolsdir}/apol_help.txt
%{setoolsdir}/domaintrans_help.txt
%{setoolsdir}/file_relabel_help.txt
%{setoolsdir}/infoflow_help.txt
%{setoolsdir}/types_relation_help.txt
%{setoolsdir}/apol_perm_mapping_*
%{setoolsdir}/seaudit_help.txt
%{setoolsdir}/*.glade
%{setoolsdir}/*.png
%{setoolsdir}/apol.gif
%{setoolsdir}/dot_seaudit
%{_mandir}/man1/apol.1.*
%{_mandir}/man8/seaudit.8.*
%{_sbindir}/seaudit
%config(noreplace) %{_sysconfdir}/pam.d/seaudit
%config(noreplace) %{_sysconfdir}/security/console.apps/seaudit
%{_datadir}/applications/*
%attr(0644,root,root) %{_datadir}/pixmaps/*.png


%changelog
* Wed Mar 02 2016 pterjan <pterjan> 3.3.8-15.mga6
+ Revision: 981853
- Finish fixing build
- Fix underlinking
- Sync patches with fedora + backport upstream swig3 patch

  + spuhler <spuhler>
    - updated SWIG-3.0.0.patch file
    - added tclass.patch file
    - added Patch0: tclass.patch
    - added patch per upstream commit f1e5b20
    - updated %%define sepol_ver 2.4 +%%define selinux_ver 2.4 per upstream req.

  + tv <tv>
    - update d/l URL
    - drop some old obsoletes
    - drop support for python bindings (like FC)
    - remove java bindings (not supported in FC too)
    - run aclocal + automake too
    - fixup expected version of SWIG
    - fix warnings about doble summary & group
    - kill sediffx (no more in FC)
    - actually apply patch 1 (was in SVN for a long time...)
    --Cette ligne, et les suivantesac ci-dessous, seront ignor?\195?\169es--
      M    SPECS/setools.spec
    - sync patches with FC
    - drop unapplied patch 7

* Sat Oct 03 2015 spuhler <spuhler> 3.3.8-13.mga6
+ Revision: 885934
- rebuild for tcl

* Fri Aug 28 2015 spuhler <spuhler> 3.3.8-12.mga6
+ Revision: 870383
- use with new gcj-5.2
- rebuild with new gcj-5.2.1

* Fri Oct 31 2014 spuhler <spuhler> 3.3.8-11.mga5
+ Revision: 794974
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 3.3.8-10.mga5
+ Revision: 746408
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.3.8-9.mga5
+ Revision: 730117
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.3.8-8.mga5
+ Revision: 689118
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 spuhler <spuhler> 3.3.8-7.mga5
+ Revision: 669575
- added BuildRequires: pkgconfig(libgcj-4.9)

  + luigiwalser <luigiwalser>
    - drop gcj support

* Tue Jul 29 2014 spuhler <spuhler> 3.3.8-6.mga5
+ Revision: 657848
- upgraded swig selinux and python version
- added patches from Fedora

* Sat May 31 2014 pterjan <pterjan> 3.3.8-5.mga5
+ Revision: 629147
- Rebuild for new Python

* Wed Mar 26 2014 wally <wally> 3.3.8-4.mga5
+ Revision: 608769
- add patch to fix build with new swig

* Tue Oct 22 2013 umeabot <umeabot> 3.3.8-3.mga4
+ Revision: 544497
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3.8-2.mga4
+ Revision: 499855
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Feb 27 2013 spuhler <spuhler> 3.3.8-1.mga3
+ Revision: 400567
- upgraded to 3.3.8
  Changes since 3.3.7
  o Fix compile errors on new parameter in libsepol role_set_expand().
  o Fix file type drop down list for open/close Apol query.
  o Add python bindings for seinfo and sesearch by Dan Walsh.
  o seinfo exits with an error status by Dan Walsh.
  o Support for named file transition rules by Dan Walsh.
  o Add support for default types in sesearch by Steve Lawrence.
  o Man page updates for seinfo, seaudit, and sediff by Dan Walsh.
  o Fix bug preventing seaudit from starting by Jake Lightner.
  Updated changed source location
  dropped patches not required anymore
   o python.patch
   o setup_py-prefix.patch
   o swig-2x.patch
   o 3.3.6-libsepol.patch
  this upgrade provides header files needed for policycoreutils
   o they were inserted before with an ugly patch that did not build on mageia

* Mon Jan 14 2013 umeabot <umeabot> 3.3.7-8.mga3
+ Revision: 381946
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 3.3.7-7.mga3
+ Revision: 344529
- fix build with automake 1.13

  + spuhler <spuhler>
    - rebuild against newest sepol version

* Mon Sep 17 2012 fwang <fwang> 3.3.7-5.mga3
+ Revision: 294825
- cleanup spec

* Mon Sep 17 2012 fwang <fwang> 3.3.7-4.mga3
+ Revision: 294800
- move define to head
- bump rel
- update file list
- obsoletes old libname
- split out libs

* Mon Sep 17 2012 spuhler <spuhler> 3.3.7-3.mga3
+ Revision: 294662
- used %%mklibname for the lib
  bumped rel

* Mon Sep 10 2012 spuhler <spuhler> 3.3.7-2.mga3
+ Revision: 292003
- cleaned up spec file
  bumped release

* Sat Sep 08 2012 spuhler <spuhler> 3.3.7-1.mga3
+ Revision: 290440
- first release
- imported package setools


* Thu Jan 08 2009 Jérôme Soyer <saispo@mandriva.org> 3.3.5-2mdv2009.1
+ Revision: 327107
- Rebuild for new python
- Rebuild for new python

  + Michael Scherer <misc@mandriva.org>
    - do not harcode python version needed

* Sun Oct 19 2008 David Walluck <walluck@mandriva.org> 3.3.5-1mdv2009.1
+ Revision: 295378
- add new sources
- 3.3.5
- build with java, not gcj
- fix linking
- 3.3.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 David Walluck <walluck@mandriva.org> 3.3.3-1mdv2009.0
+ Revision: 196068
- 3.3.3
- fix consolehelper symlink

* Mon Jan 07 2008 David Walluck <walluck@mandriva.org> 3.3.2-3mdv2008.1
+ Revision: 146178
- fix devel Requires

* Tue Jan 01 2008 David Walluck <walluck@mandriva.org> 3.3.2-2mdv2008.1
+ Revision: 140006
- fix sqlite BuildRequires
- fix sepol BuildRequires
- add BuildRequires for python
- spec cleanup
- fix python macros
- spec cleanup
- import setools


* Wed Nov 28 2007 Chris Pebenito <cpebenito@tresys.com> 3.3.2-1.fc9
- Update for 3.3.2.

* Thu Oct 18 2007 Chris PeBenito <cpebenito@tresys.com> 3.3.1-7.fc8
- Rebuild to fix ppc64 issue.

* Wed Oct 17 2007 Chris PeBenito <cpebenito@tresys.com> 3.3.1-6.fc8
- Update for 3.3.1.

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 3.2-4
- Rebuild for selinux ppc32 issue.

* Fri Jul 20 2007 Dan Walsh <dwalsh@redhat.com> 3.2-3
- Move to Tresys spec file

* Wed Jun 13 2007 Dan Walsh <dwalsh@redhat.com> 3.2-2
- Bump for rebuild

* Mon Apr 30 2007 Dan Walsh <dwalsh@redhat.com> 3.2-1
- Start shipping the rest of the setools command line apps

* Wed Apr 25 2007 Jason Tang <jtang@tresys.com> 3.2-0
- update to SETools 3.2 release

* Mon Feb 02 2007 Jason Tang <jtang@tresys.com> 3.1-1
- update to SETools 3.1 release

* Mon Oct 30 2006 Dan Walsh <dwalsh@redhat.com> 3.0-2.fc6
- bump for fc6
 
* Thu Oct 26 2006 Dan Walsh <dwalsh@redhat.com> 3.0-2
- Build on rawhide

* Sun Oct 15 2006 Dan Walsh <dwalsh@redhat.com> 3.0-1
- Update to upstream

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Tue May 23 2006 Dan Walsh <dwalsh@redhat.com> 2.4-2
- Remove sqlite include directory

* Wed May 3 2006 Dan Walsh <dwalsh@redhat.com> 2.4-1
- Update from upstream

* Mon Apr 10 2006 Dan Walsh <dwalsh@redhat.com> 2.3-3
- Fix help
- Add icons

* Tue Mar 21 2006 Dan Walsh <dwalsh@redhat.com> 2.3-2
- Remove console apps for sediff, sediffx and apol

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Dan Walsh <dwalsh@redhat.com> 2.3-1
- Update from upstream
  * apol:
        added new MLS components tab for sensitivities, 
        levels, and categories.
        Changed users tab to support ranges and default 
        levels.
        added range transition tab for searching range
        Transition rules.
        added new tab for network context components.
        added new tab for file system context components.
  * libapol:
        added binpol support for MLS, network contexts, 
        and file system contexts.
  * seinfo:
        added command line options for MLS components.
        added command line options for network contexts
        and file system contexts.
  * sesearch:
        added command line option for searching for rules
        by conditional boolean name.
  * seaudit:
        added new column in the log view for the 'comm' 
        field found in auditd log files.
        added filters for the 'comm' field and 'message'
        field.
  * manpages:
        added manpages for all tools.        



* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Dec 14 2005 Dan Walsh <dwalsh@redhat.com> 2.2-4
- Fix dessktop files
- Apply fixes from bkyoung

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 3 2005 Dan Walsh <dwalsh@redhat.com> 2.2-3
- Move more gui files out of base into gui 

* Thu Nov 3 2005 Dan Walsh <dwalsh@redhat.com> 2.2-2
- Move sediff from gui to main package

* Thu Nov 3 2005 Dan Walsh <dwalsh@redhat.com> 2.2-1
- Upgrade to upstream version

* Thu Oct 13 2005 Dan Walsh <dwalsh@redhat.com> 2.1.3-1
- Upgrade to upstream version

* Mon Oct 10 2005 Tomas Mraz <tmraz@redhat.com> 2.1.2-3
- use include instead of pam_stack in pam config

* Thu Sep 1 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-2
- Fix spec file
 
* Thu Sep 1 2005 Dan Walsh <dwalsh@redhat.com> 2.1.2-1
- Upgrade to upstream version
 
* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- do not package debug files into the -devel package

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 2.1.1-3
- rebuild against new cairo

* Wed May 25 2005 Dan Walsh <dwalsh@redhat.com> 2.1.1-0
- Upgrade to upstream version

* Mon May 23 2005 Bill Nottingham <notting@redhat.com> 2.1.0-5
- put libraries in the right place (also puts debuginfo in the right
  package)
- add %%defattr for -devel too

* Thu May 12 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-4
- Move sepcut to gui apps.

* Fri May 6 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-3
- Fix Missing return code.

* Wed Apr 20 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-2
- Fix requires line

* Tue Apr 19 2005 Dan Walsh <dwalsh@redhat.com> 2.1.0-1
- Update to latest from tresys

* Tue Apr 5 2005 Dan Walsh <dwalsh@redhat.com> 2.0.0-2
- Fix buildrequires lines in spec file

* Tue Mar 2 2005 Dan Walsh <dwalsh@redhat.com> 2.0.0-1
- Update to latest from tresys

* Mon Nov 29 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-6
- add FALLBACK=true to /etc/security/console.apps/apol

* Wed Nov 10 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-3
- Add badtcl patch from Tresys.

* Mon Nov 8 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-2
- Apply malloc problem patch provided by  Sami Farin 

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 1.5.1-1
- Update to latest from Upstream

* Wed Oct 6 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-5
- Update tresys patch

* Mon Oct 4 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-4
- Fix directory ownership

* Thu Jul 8 2004 Dan Walsh <dwalsh@redhat.com> 1.4.1-1
- Latest from Tresys

* Wed Jun 23 2004 Dan Walsh <dwalsh@redhat.com> 1.4-5
- Add build requires libselinux

* Tue Jun 22 2004 Dan Walsh <dwalsh@redhat.com> 1.4-4
- Add support for policy.18

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 1.4-2
- Fix install locations of policy_src_dir

* Wed Jun 2 2004 Dan Walsh <dwalsh@redhat.com> 1.4-1
- Update to latest from TRESYS.

* Tue Jun 1 2004 Dan Walsh <dwalsh@redhat.com> 1.3-3
- Make changes to work with targeted/strict policy
* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-2
- Take out requirement for policy file

* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-1
- Fix doc location

* Fri Apr 16 2004 Dan Walsh <dwalsh@redhat.com> 1.3-1
- Latest from TRESYS

* Tue Apr 13 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-8
- fix location of policy.conf file

* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-7
- Obsolete setools-devel
* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-6
- Fix location of 
* Tue Apr 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-5
- Remove devel libraries
- Fix installdir for lib64

* Sat Apr 3 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-4
- Add usr_t file read to policy

* Thu Mar 25 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-3
- Use tcl8.4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2.1-1
- New patch

* Fri Feb 6 2004 Dan Walsh <dwalsh@redhat.com> 1.2-1
- Latest upstream version

* Tue Dec 30 2003 Dan Walsh <dwalsh@redhat.com> 1.1.1-1
- New version from upstream
- Remove seuser.te.  Now in policy file.

* Tue Dec 30 2003 Dan Walsh <dwalsh@redhat.com> 1.1-2
- Add Defattr to devel
- move libs to base kit

* Fri Dec 19 2003 Dan Walsh <dwalsh@redhat.com> 1.1-1
- Update to latest code from tresys
- Break into three separate packages for cmdline, devel and gui
- Incorporate the tcl patch

* Mon Dec 15 2003 Jens Petersen <petersen@redhat.com> - 1.0.1-3
- apply setools-1.0.1-tcltk.patch to build against tcl/tk 8.4
- buildrequire tk-devel

* Thu Nov 20 2003 Dan Walsh <dwalsh@redhat.com> 1.0.1-2
- Add Bwidgets to this RPM

* Tue Nov 4 2003 Dan Walsh <dwalsh@redhat.com> 1.0.1-1
- Upgrade to 1.0.1

* Wed Oct 15 2003 Dan Walsh <dwalsh@redhat.com> 1.0-6
- Clean up build

* Tue Oct 14 2003 Dan Walsh <dwalsh@redhat.com> 1.0-5
- Update with correct seuser.te

* Wed Oct 1 2003 Dan Walsh <dwalsh@redhat.com> 1.0-4
- Update with final release from Tresys

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
